image: node:15.12-alpine3.13

stages:
  - test
  - deploy

test:
  stage: test
  script:
  - cd website
  - yarn install
  - yarn build
  - tar -zcvf public.tar.gz ./build
  - mv ./public.tar.gz ../public.tar.gz
  artifacts:
    paths:
    - public.tar.gz
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH

build-for-deploy:
  stage: deploy
  script:
  - cd website
  - yarn install
  - >
       sed -i "s/  baseUrl:.*/  baseUrl: '\/mil\/',/g" docusaurus.config.js
  - yarn build
  - mkdir ../build
  - mv build ../build/mil
  artifacts:
    paths:
    - build

pages:
  stage: deploy
  script:
  - cd website
  - yarn install
  - yarn build
  - mv ./build ../public
  artifacts:
    paths:
    - public
  rules:
    - if: '$CI_COMMIT_REF_NAME == "docusaurus"'
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
